FTW IEEE802.11a/g/p OFDM Frame Encoder: How to run on gnuradio v3.6.5.1?

Dear Sir,

How to make FTW work on gnuradio v3.6.5.1 ?

In my research I need to setup a 802.11 MAC SDR.
In the example published by Uwicore (
http://www.uwicore.umh.es/mhop-software.html) I have to install physical
layer developed by FTW (https://www.cgran.org/wiki/ftw80211ofdmtx).
Unfortunately the FTW part was written for gnuradio v3.2.2 while I am
currently using gnuradio 3.6.5.1.

In this case the installation of FTW halted with the following
compilation
error:

/usr/local/include/gnuradio/swig/gnuradio.i:31: Error: Unable to find
‘gruel_common.i’
/usr/local/include/gnuradio/swig/gr_basic_block.i:26: Error: Unable to
find
‘pmt_swig.i’
make[5]: *** [.deps/ftw-generate-stamp] Error 1
make[5]: Leaving directory
/home/sgku/download/ftw_80211_ofdm_tx/trunk/src/ftw' /bin/bash ../../libtool --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I. -I../.. -I/usr/local/include/gnuradio -I/usr/local/include/gnuradio/swig -I/usr/include/python2.7 -I/usr/local/include/gnuradio -I/usr/local/include -g -O1 -Wno-strict-aliasing -Wno-parentheses -g -O2 -Wall -Woverloaded-virtual -MT _ftw_la-ftw.lo -MD -MP -MF .deps/_ftw_la-ftw.Tpo -c -o _ftw_la-ftw.lotest -f ‘ftw.cc’ || echo
‘./’ftw.cc libtool: compile: g++ -DHAVE_CONFIG_H -I. -I../.. -I/usr/local/include/gnuradio -I/usr/local/include/gnuradio/swig -I/usr/include/python2.7 -I/usr/local/include/gnuradio -I/usr/local/include -g -O1 -Wno-strict-aliasing -Wno-parentheses -g -O2 -Wall -Woverloaded-virtual -MT _ftw_la-ftw.lo -MD -MP -MF .deps/_ftw_la-ftw.Tpo -c ./ftw.cc -fPIC -DPIC -o .libs/_ftw_la-ftw.o g++: error: ./ftw.cc: No such file or directory g++: fatal error: no input files compilation terminated. make[4]: *** [_ftw_la-ftw.lo] Error 1 make[4]: Leaving directory/home/sgku/download/ftw_80211_ofdm_tx/trunk/src/ftw’
make[3]: *** [all] Error 2
make[3]: Leaving directory
/home/sgku/download/ftw_80211_ofdm_tx/trunk/src/ftw' make[2]: *** [all-recursive] Error 1 make[2]: Leaving directory/home/sgku/download/ftw_80211_ofdm_tx/trunk/src’
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/sgku/download/ftw_80211_ofdm_tx/trunk’
make: *** [all] Error 2

Please advise, how to make FTW installed on gnuradio v3.6.5.1 …?
Thanks in advance.

Regards,
activecat
Email: [email protected]

Hi,

I was also trying to use that, but that is hopeless (you have to have
ubuntu 9.10, USRP2 which is EOL).
Instead you can use Bastians’s project
https://github.com/bastibl/gr-ieee802-11 .

Среда, 20 ноября 2013, 6:59 +08:00 от Activecat [email protected]:

On Wed, Nov 20, 2013 at 02:48:53PM +0400, nesimi eldarov wrote:

Hi,

I was also trying to use that, but that is hopeless (you have to have ubuntu
9.10, USRP2 which is EOL).

For the record and the mailing list archives: libusrp2 was deprecated;
the
actual device (USRP2) is still supported and works with any version of
UHD.

MB


Karlsruhe Institute of Technology (KIT)
Communications Engineering Lab (CEL)

Dipl.-Ing. Martin B.
Research Associate

Kaiserstraße 12
Building 05.01
76131 Karlsruhe

Phone: +49 721 608-43790
Fax: +49 721 608-46071
www.cel.kit.edu

KIT – University of the State of Baden-Württemberg and
National Laboratory of the Helmholtz Association

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs